<template>
    <div class="device-status">
        <div class="header">
            <div class="header-title">设备状态控制</div>
        </div>
        <div class="content">
            <div class="status">
                当前状态：
                <span class="status-text">关闭</span>
            </div>
            <div class="item-container">
                <div class="item" :class="{'active': 1==selectedKeys}" @click="selectedKeys=1">
                    <img
                        :src="getImage('/device-overview/mj/Group 77@2x.png')"
                        alt=""
                    />
                    <br />
                    常开门
                </div>
                <div class="item" :class="{'active': 2==selectedKeys}" @click="selectedKeys=2">
                    <img
                        :src="getImage('/device-overview/mj/Group 78@2x.png')"
                        alt=""
                    />
                    <br />
                    开门
                </div>
                <div class="item" :class="{'active': 3==selectedKeys}" @click="selectedKeys=3">
                    <img
                        :src="getImage('/device-overview/mj/Group 79@2x.png')"
                        alt=""
                    />
                    <br />
                    关门
                </div>
            </div>
        </div>
    </div>
</template>
<script lang="ts" name="DeviceStatus" setup>
import { getImage } from '@/utils/comm';

const selectedKeys = ref<number>(1);

onMounted(() => {});

// const props = defineProps({});
</script>
<style scoped lang="less">
.device-status {
    width: 100%;
    height: 100%;
    background: #ffffff;
    box-shadow: 0px 2px 6px 0px #cccccc;
    border-radius: 4px 4px 4px 4px;
    .header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 16px;
        border-bottom: 1px solid #fafafa;
        .header-title {
            border-left: 3px solid #3468ff;
            padding-left: 8px;
            font-size: 16px;
            font-family: PingFang SC-Medium, PingFang SC;
            font-weight: 500;
            color: #333333;
            line-height: 23px;
        }
    }
    .content {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        padding: 0 16px;
        .status {
            margin: 24px 0;
            font-size: 14px;
            font-family: PingFang SC-Medium, PingFang SC;
            font-weight: 500;
            color: #828282;
            line-height: 22px;
            .status-text {
                font-size: 24px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #fa3e2e;
                line-height: 22px;
            }
        }

        .item-container {
            width: 100%;
            height: 179px;
            margin-top: 20px;
            background: #f4f6fb;
            border-radius: 4px 4px 4px 4px;
            display: flex;
            align-items: center;
            justify-content: space-around;

            .item {
                cursor: pointer;
                width: 100px;
                height: 120px;
                text-align: center;
                padding-top: 20px;
                background: #ffffff;
                border-radius: 4px 4px 4px 4px;
                font-size: 14px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #333333;
                line-height: 22px;
                img {
                    width: 62px;
                    height: 62px;
                }
                &.active {
                  background: url('/images/device-overview/mj/BG.png');
                  background-size: 100% 100%;
                }
            }
        }
    }
}
</style>
